Subject: ESS-09 ASN.1 comments

From: "Jim Schaad (Exchange)" <[email-masked]>
Date: Thu, 29 Oct 1998 18:33:56 -0800

Here are a set of comments and problems with the ASN module at the end of
the draft.

1.  PolicyInformation import is missing a trailing ')' character ----
iso(1)
2.  CertificateSerialNumber import should not have a trailing comma
3.  The size markers on UTF8String and Printable string are incorrect.  The
SIZE (1..MAX) should really be (SIZE (1..MAX)) for example in ESSPrivacyMark
it should be
ESSPrivacyMark ::= CHOICE {
	pString PrintableString (SIZE (1..ub-privacy-mark-length)),
	utf8String UTF8String (SIZE(1..MAX))
}

Jim